/*
 *  funres.c
 *  
 *  Author	: Ahmed Obied (ahmed.obied@gmail.com)
 *  Date	: 12/2008
 *  Version	: 0.1
 *
 *  funres is a tool for retrieving the absolute addresses of APIs  
 *
 *  Usage	: funres.exe [API] [DLL]	
 *
 */
#include <windows.h>
#include <stdio.h>

int main(int argc, char **argv)
{
	FARPROC addr;

	if (argc != 3) {
		printf("Usage: %s [API] [DLL]\n", argv[0]);
		exit(-1);
	}
	printf("\n");
	printf("[*******************************]\n");
	printf("[=] funres 0.1 by Ahmed Obied [=]\n");
	printf("[*******************************]\n");
	printf("\n");
	printf("[-] Looking up %s in %s ... ", argv[1], argv[2]);
	addr = GetProcAddress(LoadLibraryA(argv[2]), argv[1]);
	if (addr == NULL) {
		printf("[failure][code: 0x%x]\n", GetLastError());
		return 0;
	}
	printf("\n[-] %s in %s is at 0x%p\n", argv[1], argv[2], addr);
	return 0;
}
